﻿using System;
using System.Threading.Tasks;
using Messages;
using NServiceBus;
using UsingClasses.Messages;

class Program
{
    static async Task Main()
    {
        Console.Title = "Sender";
        var endpointConfiguration = new EndpointConfiguration("Samples.ImmutableMessages.UsingInterfaces.Sender");
        endpointConfiguration.UseSerialization<NewtonsoftJsonSerializer>();
        endpointConfiguration.UsePersistence<LearningPersistence>();
        var transportConfiguration = endpointConfiguration.UseTransport<LearningTransport>();

        var routingConfiguration = transportConfiguration.Routing();
        routingConfiguration.RouteToEndpoint(typeof(MyMessageImpl), "Samples.ImmutableMessages.UsingInterfaces.Receiver");
        routingConfiguration.RouteToEndpoint(typeof(MyMessage), "Samples.ImmutableMessages.UsingInterfaces.Receiver");

        endpointConfiguration.ApplyCustomConventions();

        var endpointInstance = await Endpoint.Start(endpointConfiguration);
        await MessageSender.Start(endpointInstance);
        await endpointInstance.Stop();
    }
}

